.window-app {
    font-family: $font-primary;
    // background-image: url(ui/Paperbrown.PNG) !important;
    // background-color: $default-background-color;
    // background-image: linear-gradient(to bottom right, $background-dark, $background-light) !important;
    // background-size: cover;
}

.window-content {
    // background-image: url(ui/parchment02_light.png) !important;
    // background-image: url(ui/parchment.jpg) !important;
    // background-image: linear-gradient(to bottom right, $background-dark, $background-light) !important;
    // background-size: cover;
}

.character {
    // background-image: url(ui/Paperbrown.PNG) !important;
    // background-image: url(ui/parchment.jpg) !important;
    // background-image: linear-gradient(to bottom right, $background-dark, $background-light) !important;
    // background-size: cover;
}

// #outerContainer #mainContainer {
//   height:100% !important;
// }

// .sheet nav.sheet-tabs,
// .sheet-header nav.sheet-tabs {
//     color: white;

//     .tab-items,
//     .tabs {
//         text-align: center;
//         width: 100%;
//         height: 100%;
//     }

//     .item {
//         align-content: center;
//         padding: 3px;
//         margin: 0.5px;
//         border-radius: 4px 4px 0 0;
//         background: var(--ars_purple_dark);
//         color: white;
//         font-size: var(--font-size-13);

//         &:hover {
//             text-shadow: none;
//             color: var(--color-border-dark-1);
//             background: var(--color-border-light-secondary);
//             cursor: pointer;
//         }
//         &:focus {
//             text-shadow: none;
//             color: var(--color-border-dark-1);
//             background: var(--color-border-light-highlight);
//             cursor: pointer;
//         }
//     }
//     .item.active {
//         text-shadow: none;
//         color: var(--color-border-dark-1);
//         background: var(--color-border-light-highlight);
//         border: 1px solid #2a2e756e;
//         border-bottom: none;
//     }
// }

.sheet.item,
.character,
.action-sheet,
.merchant,
.npc {
    nav.sheet-tabs {
        border: none;
        --ars-sheet-header-height: 100px;
        color: white;

        .tab-items,
        .tabs {
            --tab-full-width: 56px;
            --tab-hover-width: 50px;
            --tab-inactive-width: 45px;
            // --sheet-tab-color-background: var(--ars_purple_dark);
            --sheet-tab-color-background: #000000;
            // --sheet-tab-color-background-active: var(--ars_navy);
            --sheet-tab-color: #75869f;
            --sheet-tab-color-active: #ffffff;

            position: absolute;
            // left: calc(100% + 15px);
            left: 100%;
            top: calc(var(--ars-sheet-header-height) + 1rem);
            display: flex;
            flex-direction: column;
            gap: 0.25rem;
            z-index: -1;

            .active {
                margin: 0;
                z-index: 1; /* Ensure the scaled element is above the others in the stack */
                transition: all 250ms ease, transform 250ms ease; /* Include transform in the transition */
                color: var(--sheet-tab-color-active);
                --icon-fill: var(--sheet-tab-color-active);
            }
            :hover {
                // margin: 0;
                margin-left: calc(
                    (var(--tab-full-width) - var(--tab-hover-width)) * -1
                ); /* Adjust this value so hover sticks out less than active */
                z-index: 1; /* Ensure the scaled element is above the others in the stack */
                transition: all 250ms ease, transform 250ms ease; /* Include transform in the transition */
            }
        }

        .item,
        .tab-item {
            width: var(--tab-full-width);
            height: 60px;
            position: relative;
            display: flex;
            justify-content: end;
            align-items: center;
            padding-right: 0.75rem;
            background: var(--sheet-tab-color-background);
            color: var(--sheet-tab-color);
            --icon-fill: var(--sheet-tab-color);
            border: 1px solid transparent;
            border-radius: 0 8px 8px 0;
            font-size: var(--font-size-24);
            margin-left: calc((var(--tab-full-width) - var(--tab-inactive-width)) * -1);
            transition: all 250ms ease;
            // i {
            //     margin-left: 5px;
            // }
            // <ars-tab-icon src="systems/ars/icons/svg/backpack.svg"></ars-tab-icon>
            // ars-tab-icon {
            //     --icon-size: 1rem;
            // }

            .active,
            :hover {
                text-shadow: none;
                margin: 0;
                // border-color: var(--sheet-tab-color);
                box-shadow: 0 0 6px var(--sheet-tab-color);
                color: var(--sheet-tab-color-active);
                --icon-fill: var(--sheet-tab-color-active);
            }
            ::after {
                content: '';
                position: absolute;
                inset: 0.25rem 0.25rem 0.25rem 0;
                // border-radius: 0 5px 5px 0;
                // border: 1px solid var(--sheet-tab-color);
                // border-left: none;
                pointer-events: none;
            }
        }
    }
}
// set some colors specific to items so the tabs dont all look the same.
.sheet.item {
    --sheet-item-color-background: #2fcc0c; // Example background color for .sheet.item
    --sheet-item-tab-color-background: #092b01; // Example background color for .sheet.item
    background-color: var(--sheet-item-color-background);
    nav.sheet-tabs {
        .item {
            background: var(--sheet-item-tab-color-background); // Use the new variable here
        }
    }
}
// this is the background on various/most windows

// .window-app .window-content {
// 	background: url(ui/textured_paper.png) repeat;
//   // background: white;
// }
